Skip to main content
POST
List segment customers

Authorizations

Authorization
string
header
required

API key from the Rigaly dashboard: Authorization: Bearer rgly_sk_...

Body

application/json

Customer segment filter. Provide preset_id OR any combination of the top-level filter fields below (there is NO filters wrapper). Range filters take { min, max }. Time-of-day filters require timezone.

preset_id
string

A preset from GET /segments/presets

Example:

"big_spenders"

points_balance
object
spend_usd_estimated
object
visit_count
object
redemption_count
object
last_visit_within_days
integer
Required range: 1 <= x <= 3650
last_visit_not_within_days
integer

Mutually exclusive with last_visit_within_days

Required range: 1 <= x <= 3650
joined_within_days
integer
Required range: 1 <= x <= 3650
joined_before_days_ago
integer
Required range: 1 <= x <= 3650
hour_of_day
object

Requires timezone

day_of_week
integer[]

0=Sunday. Requires timezone

Required range: 0 <= x <= 6
timezone
string
Example:

"America/New_York"

has_redeemed
boolean
promotion_interest
boolean
birthday_in_month
integer
Required range: 1 <= x <= 12
pagination
object

Response

200 - application/json

Customers

success
boolean
Example:

true

message
string
data
object